Commit cdd24246 authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

Use new libkdepim

parent 3e037341
......@@ -44,6 +44,7 @@ set(KLDAP_LIB_VERSION "5.4.40")
set(KMAILTRANSPORT_LIB_VERSION "5.4.41")
set(AKONADI_VERSION "5.4.40")
set(KIMAP_LIB_VERSION "5.4.40")
set(AKONADI_MIMELIB_VERSION "5.4.41")
set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
set(KDEPIM_LIB_SOVERSION "5")
......@@ -51,7 +52,7 @@ set(KDEPIM_LIB_SOVERSION "5")
set(QT_REQUIRED_VERSION "5.6.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Xml DBus Test)
set(PIMCOMMON_LIB_VERSION_LIB "5.4.48")
set(LIBKDEPIM_LIB_VERSION_LIB "5.4.45")
set(LIBKDEPIM_LIB_VERSION_LIB "5.4.46")
set(LIBKLEO_LIB_VERSION_LIB "5.4.40")
# Find KF5 package
......@@ -72,10 +73,11 @@ find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQU
find_package(KF5Ldap ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(MailTransportDBusService CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
include_directories(${kmail-account-wizard_SOURCE_DIR} ${kmail-account-wizard_BINARY_DIR})
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment